Bug 10619 - sco.css missing for CCSR OPAC templates
Summary: sco.css missing for CCSR OPAC templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-21 09:36 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10619 - sco.css missing for CCSR OPAC templates (3.24 KB, patch)
2013-08-01 14:14 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10619 - sco.css missing for CCSR OPAC templates (3.25 KB, patch)
2013-08-02 03:25 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 10619 - sco.css missing for CCSR OPAC templates (3.40 KB, patch)
2013-08-25 17:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10619 - sco.css missing for CCSR OPAC templates (3.40 KB, patch)
2013-08-25 17:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-07-21 09:36:43 UTC
To test:
- Activate prog OPAC theme and web based self check
- Open the web based self check page in OPAC
- Verify it displays ok
- Switch OPAC theme to CCSR
- Verify the pages changes: On the left appears some information that should not
  be there.

In the logs following error message should only appear when using CCSR templates:

[Sun Jul 21 11:32:57 2013] [error] [client 127.0.0.1] File does not exist: /home/katrin/kohaclone/koha-tmpl/opac-tmpl/ccsr/famfamfam, referer: http://localhost/opac-tmpl/ccsr/en/css/sco.css
Comment 1 Katrin Fischer 2013-07-21 09:38:29 UTC
Also: System preference OpacFavicon is not used for web based self check pages.
Comment 2 Owen Leonard 2013-08-01 14:14:05 UTC Comment hidden (obsolete)
Comment 3 Srdjan Jankovic 2013-08-02 03:25:16 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-08-25 17:42:32 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-08-25 17:42:56 UTC
Created attachment 20595 [details] [review]
[PASSED QA] Bug 10619 - sco.css missing for CCSR OPAC templates

sco.css is not missing from CCSR, but some image paths in the CSS are
incorrect, resulting in some missing images. This patch corrects those
broken paths.

This patch also hides the Cart/Lists/login region of the template which
should not be visible in self checkout.

To test, enable self-checkout and switch to the CCSR theme. Load a
patron for self-checkout and confirm that images associated with buttons
appear correctly: By the help link in the upper-right, on the 'Finish'
button, etc. Try checking out an item which is already checked out to
that patron to see more examples.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
CSS changes only, works nicely.
Comment 6 Galen Charlton 2013-09-08 06:34:42 UTC
Pushed to master.  Thanks, Owen!
Comment 7 Tomás Cohen Arazi 2013-11-01 17:48:23 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Owen!